commit 8a9af4cdd75fef5814ee49929369ff08b41c26e6
Author: Michael Natterer <mitch@gimp.org>
Date:   Tue Feb 5 20:05:46 2013 +0100

    configure: bump version to 2.8.4

 configure.ac |    4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit bd6c3468aa95e871e66384b217e546316d5c89e2
Author: Nils Philippsen <nils@redhat.com>
Date:   Tue Feb 5 13:54:36 2013 +0100

    app: fix re-initializing fontconfig in gimp_fonts_reset()

    Calling FcConfigSetCurrent() with NULL is just broken, it almost
    immediately dereferences the passed pointer. Apparently this line
    is executed seldom, otherwise we'd see way more crashes in this place.
    Just use FcInitReinitialize() which exists for the very purpose of
    reinitializing the fontconfig library.
    (cherry picked from commit 1c00c2e4f831a16dbba15e605dc19151a3a0246c)

 app/text/gimp-fonts.c |    6 ++----
 1 file changed, 2 insertions(+), 4 deletions(-)

commit 6852d01288d6757058d3db3b54b5514713b67a01
Author: Timo Jyrinki <timo.jyrinki@canonical.com>
Date:   Tue Jan 29 10:35:21 2013 +0200

    Bug 692646 - Finnish spelling fixes (by Ville Skyttä)

 po-libgimp/fi.po   |   25 ++++++++++-----------
 po-plug-ins/fi.po  |   61
 ++++++++++++++++++++++++++--------------------------
 po-python/fi.po    |   12 +++++------
 po-script-fu/fi.po |   22 ++++++++++---------
 po-tips/fi.po      |    7 +++---
 po/fi.po           |   23 ++++++++++----------
 6 files changed, 78 insertions(+), 72 deletions(-)

commit 60c382ff707de7b0caf5193e978632e36e6629f0
Author: Alexandre Prokoudine <alexandre.prokoudine@gmail.com>
Date:   Mon Jan 28 09:47:53 2013 +0400

    Updated Russian translations

 po-libgimp/ru.po   |  249 +++---
 po-plug-ins/ru.po  | 2321
 ++++++++++++++++++++++++++-----------------------
 po-python/ru.po    |  109 +--
 po-script-fu/ru.po |  237 ++---
 po-tips/ru.po      |  314 +++++--
 po/ru.po           | 2445
 ++++++++++++++++++++++++----------------------------
 6 files changed, 2872 insertions(+), 2803 deletions(-)

commit de5267f18577e0f7c950bbdb65d02c97f4fc26c4
Author: Massimo Valentini <mvalentini@src.gnome.org>
Date:   Sun Jan 27 17:04:02 2013 +0100

    Bug 639920: Gaussian blur can't work on specified selection

    In presence of a selection extend the area processed

 plug-ins/common/blur-gauss-selective.c |   10 +++++++++-
 plug-ins/common/blur-gauss.c           |   16 ++++++++++++++--
 2 files changed, 23 insertions(+), 3 deletions(-)

commit 549b3284d8ac6c30d74febe3b918f82b5f7aa235
Author: Ville Skyttä <ville.skytta@iki.fi>
Date:   Sun Jan 27 12:08:44 2013 +0200

    Bug 692625 - Use image/x-pcx for PCX in desktop entry

    Desktop entry: Use image/x-pcx as PCX MIME type to sync with
    shared-mime-info.
    (cherry picked from commit 79be7de82e4959ab67d997fb1c774c4acd4559d5)

 configure.ac |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d2d8563e5e6502c63e121b62a2286e6c8fafe8f0
Author: Clayton Walker <blender3dartist@gmail.com>
Date:   Fri Jan 25 22:24:11 2013 -0700

    build: Update osx build files and README.

 build/osx/README         |   39 ++-
 build/osx/gimp.modules   |  610
 ++++++++++++++++++++++++++++++++--------------
 build/osx/jhbuildrc-gimp |    2 +-
 3 files changed, 467 insertions(+), 184 deletions(-)

commit 60f0feb65c107921a1434d197ef85101e9c73bd0
Author: Sven Claussner <scl.gplus@gmail.com>
Date:   Fri Jan 25 22:47:09 2013 +0100

    Amend NEWS file

    Add items for Brazilian Portuguese Windows installer and Language
    Selector in Preferences dialog on OS X.

 NEWS |    6 ++++++
 1 file changed, 6 insertions(+)

commit d99881ab41e9d9c78a5a36e0dc959b02d51002dc
Author: Michael Natterer <mitch@gimp.org>
Date:   Fri Jan 25 21:16:20 2013 +0100

    NEWS: updates for 2.8.4

 NEWS |   46 ++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 46 insertions(+)

commit d824943b589e6dd89c4a55a588ef3595d105efde
Author: Clayton Walker <blender3dartist@gmail.com>
Date:   Thu Jan 24 14:06:41 2013 -0700

    build: update OSX build files

 build/osx/Info.plist         | 1088
 -----------------------------------------
 build/osx/gimp-2.8.bundle    |  187 ++++++++
 build/osx/gimp-python.bundle |  182 -------
 build/osx/gimp.bundle        |  127 -----
 build/osx/info-2.8.3.plist   | 1093
 ++++++++++++++++++++++++++++++++++++++++++
 build/osx/info-2.8.4.plist   | 1093
 ++++++++++++++++++++++++++++++++++++++++++
 build/osx/launcher-2.8.sh    |   84 ++++
 build/osx/launcher-python.sh |   84 ----
 build/osx/launcher.sh        |   63 ---
 9 files changed, 2457 insertions(+), 1544 deletions(-)

commit 4b9af783360cc0bcc4141e6a46d3c188dc4b8d73
Author: Jernej Simončič <jernej|s-cccp@eternallybored.org>
Date:   Mon Jan 21 21:17:45 2013 +0100

    Windows: #588015 - Make sure that GIMP is Terminal-Server-aware

 app/Makefile.am |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 6ee8d39b8c1bffc15a3ff9013cf03520f3b32d91
Author: Jehan <jehan@girinstud.io>
Date:   Wed Dec 26 17:41:20 2012 +0900

    Bug 690728: file-gif-save plug-in crops the actual image the user
    is working on.

    Destructive behavior fixed by duplicating the image first, then
    deleting
    the duplicate at the end.

 plug-ins/common/file-gif-save.c |   26 ++++++++++++++++++--------
 1 file changed, 18 insertions(+), 8 deletions(-)

commit 1122488403be2c8a1ccaa5cd2aeaab29b9e6138c
Author: Martin Srebotnjak <miles@filmsi.net>
Date:   Sat Jan 19 21:45:38 2013 +0100

    Updated Slovenian translation

 po-plug-ins/sl.po |  336
 +++++++++++++++++++++++++++--------------------------
 1 file changed, 171 insertions(+), 165 deletions(-)

commit f8c86702e9363370329528f44491012390f988df
Author: Massimo Valentini <mvalentini@src.gnome.org>
Date:   Sat Feb 18 19:15:33 2012 +0100

    Bug 670226 - pbm image non-interactive different from interactive

    Properly set the "pbm" flag in non-interactive mode, also add a
    missing "break" so non-interactive actually behaves like
    non-interactive.
    (cherry picked from commit d93d2e71c31d7684a3385e450e4def66c9e3d13e)

 plug-ins/common/file-pnm.c |    2 ++
 1 file changed, 2 insertions(+)

commit b31fcbc0f16bd55773e4dae37b5be386b607c4bb
Author: Ludovic Rousseau <ludovic.rousseau@gmail.com>
Date:   Sat Jan 19 18:39:15 2013 +0100

    Bug 675510 - tw_func.h contains windows-specific types

    Put the stuff in #ifdef G_OS_WIN32
    (cherry picked from commit 5379a2377ec4b4df240d253823a9740e529a7671)

 plug-ins/twain/tw_func.h |    2 ++
 1 file changed, 2 insertions(+)

commit 6a39d214947da4aba7354d25655065f9d42456c2
Author: Michael Natterer <mitch@gimp.org>
Date:   Fri Jan 18 01:02:31 2013 +0100

    Bug 689523 - GIMP crashes (segfault) when loading a context with
    a font...

    Make gimp_context_get|set_font_name() actually deal with
    context->font_name, so the context can do its job of keeping the name
    of an unavailable object around.
    (cherry picked from commit c262fee2445734c015aafe527cb681eed6941ec4)

 app/core/gimpcontext.c |   17 +++++++++++++++--
 1 file changed, 15 insertions(+), 2 deletions(-)

commit 6dcd7c425e3283f6c4d0549981c6f11126198b84
Author: Michael Natterer <mitch@gimp.org>
Date:   Thu Jan 17 19:37:03 2013 +0100

    Bug 686929 - Newly created toolbox is too tall and too narrow

    Set the dock window's geometry hints after the tool palette's style is
    known, not after the toolbox' style is known, so we get the right tool
    button dimensions for minimum size and size increments.
    (cherry picked from commit 7e273bc6d0d51300c2fafca355c729170689f2ca)

 app/widgets/gimptoolbox.c     |   15 ---------------
 app/widgets/gimptoolpalette.c |    2 ++
 2 files changed, 2 insertions(+), 15 deletions(-)

commit c87b59b95f3518d6c0e77b2695ee412ed65fc555
Author: Mukund Sivaraman <muks@banu.com>
Date:   Wed Jan 16 17:23:52 2013 +0530

    imagemap: Don't use fixed size buffer to print statusbar messages
    (#691386)

 plug-ins/imagemap/imap_statusbar.c |    7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

commit adc8b21b0f7610678add53c7395d72c3be63aecd
Author: Michael Henning <drawoc@darkrefraction.com>
Date:   Fri Jan 11 20:59:35 2013 -0500

    plug-ins: fix memory leak in edge-neon

    Found using clang's scan-build.
    (cherry picked from commit e87971e85063fd28ef89a0edf9475e98e32dba21)

 plug-ins/common/edge-neon.c |    1 +
 1 file changed, 1 insertion(+)

commit 5bd861330f6e5d8d09a3b95cb4af8e45cfcca433
Author: Michael Henning <drawoc@darkrefraction.com>
Date:   Thu Jan 10 17:02:02 2013 -0500

    app: fix memory leak in widgets/gimpgradientselect.c

    Found using clang's scan-build.
    (cherry picked from commit 42c74722e1f610579e53711706b8fbefc439a058)

 app/widgets/gimpgradientselect.c |    1 +
 1 file changed, 1 insertion(+)

commit db4c8239f392c5bef057e9512af16cd658a115a8
Author: Michael Henning <drawoc@darkrefraction.com>
Date:   Wed Jan 9 16:59:23 2013 -0500

    plug-ins: don't free a pointer allocated with g_newa in file-pdf-save

    Found using clang's scan-build.
    (cherry picked from commit c59e569e50aede6ae375b0dd184ada3dc58ffd12)

 plug-ins/common/file-pdf-save.c |    2 --
 1 file changed, 2 deletions(-)

commit 67753516b7462bfccb78d0a4bd3b01c1ed88fd57
Author: Nils Philippsen <nils@redhat.com>
Date:   Wed Jan 9 15:37:30 2013 +0100

    fix copy-paste error
    (cherry picked from commit fc625feb4083e75ebd8325d4aa62c2678aeee06c)

 app/core/gimptoolinfo.c |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 67cb43963e55bc56c031194209ab693045fa2741
Author: Michael Natterer <mitch@gimp.org>
Date:   Wed Jan 9 00:28:30 2013 +0100

    Bug 689087 - Drag-and-drop foo.jpg behaves different from 'gimp
    foo.jpg'...

    Prefer text/uri-list over image/* to make dropping from file managers
    always behave like opening the image directly.
    (cherry picked from commit 454639f9d9703a14a235973d81378afc53387862)

 app/display/gimpdisplayshell-dnd.c |   12 ++++-----
 app/widgets/gimplayertreeview.c    |    4 +--
 app/widgets/gimptoolbox-dnd.c      |   48
 +++++++++++++++++-------------------
 3 files changed, 31 insertions(+), 33 deletions(-)

commit 121308ee7af880be895aced431642d2bbfa2de15
Author: Michael Henning <drawoc@darkrefraction.com>
Date:   Mon Dec 31 13:21:46 2012 -0500

    plug-ins: fix memory leak in flame/rect.c

    Found using clang's scan-build.

 plug-ins/flame/rect.c |    1 +
 1 file changed, 1 insertion(+)

commit 8432800bdfa6bfc13b468623a81645849f47f323
Author: Michael Natterer <mitch@gimp.org>
Date:   Mon Jan 7 01:32:58 2013 +0100

    app: don't map several windows language codes to one language string

    So e.g. "english" is not always just "en", but "en_UK", "en_US" etc.
    This should fix issues similar to bug #690535. Used
    http://en.wikipedia.org/wiki/ISO_3166-1 as reference.
    (cherry picked from commit 22a5c173ba4d27dacdfee357d06e98d3ae08d281)

 app/language.c |  446
 ++++++++++++++++++++++++++++----------------------------
 1 file changed, 223 insertions(+), 223 deletions(-)

commit 6b017f97d4c06738acbbd7bd2de108e2278c9062
Author: Michael Henning <drawoc@darkrefraction.com>
Date:   Fri Jan 4 19:48:23 2013 -0500

    autogen.sh: also look for automake 1.13
    (cherry picked from commit 495b41416b381678bdc94a85e4a89b0a4c970c92)

 autogen.sh |    3 +++
 1 file changed, 3 insertions(+)

commit fd5676230c328cd1de3bbc3b1b1dafa78107842b
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Mon Dec 31 12:20:03 2012 +0100

    Updated Spanish translation

 po-libgimp/es.po  |   74 ++++++++++++++++----------------
 po-plug-ins/es.po |  124
 ++++++++++++++++++++++++++---------------------------
 po-python/es.po   |   23 +++++-----
 3 files changed, 111 insertions(+), 110 deletions(-)

commit 29ca295089abc64233218de0e8127f6d6c630816
Author: Rafael Ferreira <rafael.f.f1@gmail.com>
Date:   Thu Dec 27 23:14:04 2012 -0200

    Updated Brazilian Portuguese Translation

 po/pt_BR.po |  717
 +++++++++++++++++++++++++++++++----------------------------
 1 file changed, 373 insertions(+), 344 deletions(-)

commit 2226e10b5e4f7b2479fa07833fe318bf51aae326
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Thu Dec 27 21:01:49 2012 +0100

    Updated Polish translation

 po/pl.po |  287
 ++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 148 insertions(+), 139 deletions(-)

commit acebb4ad205901a9e8029a66ed5bca62cf13bc96
Author: João S. O. Bueno <gwidion@gmail.com>
Date:   Fri Dec 21 18:14:21 2012 -0200

    Addresses bug #690535 - fix brazilian portuguese on Windows

 app/language.c |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d90069f029cd93e867125ee261a2e6c639e35226
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Sun Dec 16 13:10:37 2012 +0100

    Updated Spanish translation

 po/es.po |  425
 ++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 221 insertions(+), 204 deletions(-)

commit 205c64d1b8ee9482a5c4eee9ff71c3ab53831805
Author: Michael Natterer <mitch@gimp.org>
Date:   Fri Dec 14 23:02:56 2012 +0100

    Bug 688746 - Select tool Alt+Shift and Alt+Ctrl dragging modifies...

    Check for layer groups and locked layers in
    gimp_selection_tool_start_edit()
    and show the usual warning instead of allowing the forbidden
    operation.
    (cherry picked from commit 593ddb741f1479fddf25d708ae8d4411b9408f28)

 app/tools/gimpselectiontool.c |   37
 +++++++++++++++++++++++++++++--------
 1 file changed, 29 insertions(+), 8 deletions(-)

commit 5818b9eac1432268ffa200113e66a3721cb1e41e
Author: Michael Natterer <mitch@gimp.org>
Date:   Fri Dec 14 21:12:36 2012 +0100

    plug-ins: fix indexed palette handling in lcms.c

    gimp_image_get/set_colormap() returns/takes the number of bytes in the
    colormap, not the number of colors.
    (cherry picked from commit b47107123a2d043169bf7df35016f52294489507)

 plug-ins/common/lcms.c |   10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit a2772a721fcceffdf99cc631c874ecdf2f75ee8a
Author: Jehan <jehan@girinstud.io>
Date:   Mon Dec 10 20:14:16 2012 +0900

    Bug 689523: data bootstrap initial values in the text style editor
    at construction.

    This was causing first a visual issue where the style editor UI would
    show no default font/size/style at instanciation, but even a crash
    when the user would change the font size or style (bold, italic...)
    from this UI before selecting a font or writing a text.

 app/widgets/gimptextstyleeditor.c |    2 ++
 1 file changed, 2 insertions(+)

commit 85fcef0c5ca56e5a68e0f3b8f9a3f6a67263e2af
Author: Marco Ciampa <ciampix@libero.it>
Date:   Mon Dec 10 23:07:31 2012 +0100

    Updated italian translation.

 po/it.po |    4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 772c71721605be443e02aa7c242aa9fac0566302
Author: Marco Ciampa <ciampix@libero.it>
Date:   Mon Dec 10 22:49:44 2012 +0100

    Updated italian translation.

 po/it.po |   38 +++++++++++++++++++-------------------
 1 file changed, 19 insertions(+), 19 deletions(-)

commit e5cee5c56f190f755d0c0fa18636c8abd9a0ebc8
Author: Liam Quin <liam@w3.org>
Date:   Thu Dec 6 00:39:10 2012 +0100

    Bug 689712 - Change default units of rotate colors plugin (rcm)
    from...

    Degrees makes much more sense as default unit than radians.
    (cherry picked from commit a268b7e03fac734f1285026fb33244809d8b2881)

 plug-ins/color-rotate/color-rotate-dialog.c |   30
 ++++++++++++++-------------
 plug-ins/color-rotate/color-rotate.c        |    2 +-
 2 files changed, 17 insertions(+), 15 deletions(-)

commit b717e155d90d6c19f7f3acb2186f660819adb564
Author: Mukund Sivaraman <muks@banu.com>
Date:   Wed Dec 5 00:45:36 2012 +0530

    file-tga: Simplify has_alpha expression

 plug-ins/common/file-tga.c |    5 +----
 1 file changed, 1 insertion(+), 4 deletions(-)

commit 050fcb4b37ca8b5bd6abcf7d63d74e3d907a1436
Author: Mukund Sivaraman <muks@banu.com>
Date:   Tue Dec 4 23:30:26 2012 +0530

    file-tga: Handle 16-bit palettes with transparency (#687802)

    Primarily, this fixes a buffer overflow in the colormap buffer.

    * We promote such images to GIMP_RGBA_IMAGE now.
    * The alpha handling for the colormap to RGBA conversion has been
      fixed.
    * Inverted transparency in upsampling has been fixed.

 plug-ins/common/file-tga.c |   17 ++++++++++++++---
 1 file changed, 14 insertions(+), 3 deletions(-)

commit 0d35348718e787a21864e67719826a90587cd39a
Author: Mukund Sivaraman <muks@banu.com>
Date:   Tue Dec 4 13:37:57 2012 +0530

    file-tiff-load: Fix loading of TIFFs containing old-style JPEG images
    (#688761)

    This commit also moves the updated section of code, so that based on
    worst_case, the image type and layer type are updated.

 plug-ins/common/file-tiff-load.c |   55
 +++++++++++++++++++++-----------------
 1 file changed, 30 insertions(+), 25 deletions(-)

commit c6b81f2f4e43308054c3b8b6f5ff2bc1af5bf9d9
Author: Jehan <jehan@girinstud.io>
Date:   Sun Nov 25 23:13:35 2012 +0900

    Bug 685557 - fix closing and saving a new image.

    Current implementation had 2 issues, fixed by this commit:
    1/ after the file save dialog is closed, the image would not close.
    2/ if you switched the visible tab before saving the new image, it
    would save and close the visible tab, instead of the expected one.

 app/actions/file-commands.c    |   15 +++++++++------
 app/dialogs/file-save-dialog.c |   27 +++++++--------------------
 app/widgets/gimpfiledialog.c   |    4 +++-
 app/widgets/gimpfiledialog.h   |    4 +++-
 4 files changed, 22 insertions(+), 28 deletions(-)

commit 95e400d597f8aac5c11fb263ce8500ae24da80c3
Author: Marek Černocký <marek@manet.cz>
Date:   Mon Nov 26 10:59:09 2012 +0100

    Updated Czech translation

 po-plug-ins/cs.po |  484
 +++++++++++++++++++++++++++++++----------------------
 1 file changed, 285 insertions(+), 199 deletions(-)

commit 4e428d923bbd7ef0220f5dba16ef10c76b7f22e9
Author: Marek Černocký <marek@manet.cz>
Date:   Sun Nov 25 20:06:13 2012 +0100

    Updated Czech translation

 po/cs.po |  502
 +++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 266 insertions(+), 236 deletions(-)

commit 34f70ad1927e0a0bfa5b126da570b76286c5b3e1
Author: Michael Natterer <mitch@gimp.org>
Date:   Fri Nov 23 23:29:44 2012 +0100

    libgimpwidgets: remove all item width logic from GimpPageSelector

    It seems GtkIconView got fixed, and now the pile of code I added to
    make the layout nice has exactly the opposite effect. Get rid of the
    pile.
    (cherry picked from commit f1c785fb3765f9bfd2b2b9f0b5bde9d806fd333c)

 libgimpwidgets/gimppageselector.c |  184
 -------------------------------------
 1 file changed, 184 deletions(-)

commit 67a1f9e40c6839ab5103145b8bbe18cce6d53416
Author: Michael Natterer <mitch@gimp.org>
Date:   Fri Nov 23 01:17:52 2012 +0100

    Bug 688715 - Unconfigured eraser should be set to eraser tool

    I don't know what I tested before, but it didn't work. This patch does
    the magic in two places, one of which I missed.
    (cherry picked from commit 4e340b613bb7bf0730572bb123d67e9fb6671934)

 app/widgets/gimpdeviceinfo.c    |   21 +++++++++++++++++++++
 app/widgets/gimpdeviceinfo.h    |    2 ++
 app/widgets/gimpdevicemanager.c |   14 +-------------
 app/widgets/gimpdevices.c       |    2 ++
 4 files changed, 26 insertions(+), 13 deletions(-)

commit 54ae57f2900e41fb62b09bf7bfeb7214eb6b55f9
Author: Michael Natterer <mitch@gimp.org>
Date:   Thu Nov 22 23:43:41 2012 +0100

    Bug 688715 - Unconfigured eraser should be set to eraser tool

    If a device has no saved settings, and it is a GDK_SOURCE_ERASER, set
    it to the eraser tool.
    (cherry picked from commit 512fbcbbb23c0c449184b90d942dc7241d96b1a8)

 app/widgets/gimpdevicemanager.c |   14 ++++++++++++++
 1 file changed, 14 insertions(+)

commit 6d10655c946cbd6f9e8eaf3c2aafbcf8c7fe6a64
Author: Michael Natterer <mitch@gimp.org>
Date:   Mon Nov 19 23:24:40 2012 +0100

    app: disable maximize_state_in_aux_data because it needs a WM

 app/tests/test-ui.c |    3 +++
 1 file changed, 3 insertions(+)

commit 43a1daa5e1ed71687de013499c79bab1edee999f
Author: Michael Natterer <mitch@gimp.org>
Date:   Sun Nov 18 20:02:51 2012 +0100

    Bug 688305 - drag and drop for guides broken if 'gtk-enable-tooltips =
    0' is set

    Fix GimpSpinScale too: add the needed events ourselves, and handle
    motion hints (which the parent classes add) in motion().
    (cherry picked from commit 85a099f988ef007348c905b2f8780e032735cdea)

 app/widgets/gimpspinscale.c |    9 +++++++++
 1 file changed, 9 insertions(+)

commit 9c368595116da409280a07394587e65cc8d13290
Author: Massimo Valentini <mvalentini@src.gnome.org>
Date:   Thu Nov 15 19:02:43 2012 +0100

    Bug 688305: drag and drop for guides broken

 libgimpwidgets/gimpruler.c |    5 +----
 1 file changed, 1 insertion(+), 4 deletions(-)

commit d0bb5aea253849a754abae5bfa88244b94c03626
Author: Nils Philippsen <nils@redhat.com>
Date:   Wed Nov 14 16:43:06 2012 +0100

    app: remove check which hides conditions that should not happen

    Remove a GTK_IS_WINDOW() check where this would hide parent widgets
    being passed in that don't have a gtk toplevel. This should not happen
    and if it does we want to know about it.
    (cherry picked from commit f6f8079013401eecaa11e5f8bdd2688e51fd6602)

 app/actions/file-commands.c |    7 ++-----
 1 file changed, 2 insertions(+), 5 deletions(-)

commit 0e7d59af50ea95650c11ae365cb229a694715f52
Author: Nils Philippsen <nils@redhat.com>
Date:   Wed Nov 14 16:42:05 2012 +0100

    app: fix marking file dialogs as transient if opened from context menu

    GimpDisplayShell isn't a GtkWindow (anymore), therefore use
    gtk_widget_get_toplevel() to find the actual toplevel window.
    (cherry picked from commit 1a4087bd5f1c79859fbfc417eff58f8e7783f335)

 app/actions/file-commands.c |    4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 7fa86da96dc16534669949bb4141bd6e55bacaa9
Author: Nils Philippsen <nils@redhat.com>
Date:   Tue Nov 13 16:12:56 2012 +0100

    app: limit physical memory size by GIMP_MAX_MEMSIZE as well
    (cherry picked from commit c4365d4c14d1a1fc35210b373119a0870458c46b)

    Conflicts:
	app/config/gimpbaseconfig.c

 app/config/gimpbaseconfig.c |	  6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit 7bbd29b182eeda62ae72ec641d3cece26541c12a
Author: Michael Natterer <mitch@gimp.org>
Date:	Sat Oct 13 22:44:15 2012 +0200

    app: limit the pyhsical memory size by G_MAXSIZE

    because one process can't handle more.
    (cherry picked from commit 2b714fcb1a6c24bcaeb13b1c592a365c374f96d8)

 app/config/gimpbaseconfig.c |	  3 +++
 1 file changed, 3 insertions(+)

commit a766aa9730c619960573d8e58f6cad4726b49494
Author: Michael Natterer <mitch@gimp.org>
Date:	Tue Nov 13 00:45:45 2012 +0100

    Bug 677776 - filter popup windows get hidden behind main image window

    Apply modified patch from Simone Karin Lehmann which makes sure
    script-fu gets properly hidden after the dialog is done.
    (cherry picked from commit 83de53ee4de56c41694b7196345586e8f6578d23)

 plug-ins/script-fu/Makefile.am		  |   26
 ++++++++++++++++++--------
 plug-ins/script-fu/script-fu-interface.c |   16 ++++++++++++++++
 2 files changed, 34 insertions(+), 8 deletions(-)

commit 3291348ac6e6c383112ec0183b4b3d5104d01e03
Author: Michael Natterer <mitch@gimp.org>
Date:	Mon Nov 12 23:42:15 2012 +0100

    Bug 677776 - filter popup windows get hidden behind main image window

    Simone found a better way than setting plug-in windows to UTILITY:
    simply
    call the proper API, [NSApp arrangeInFront: nil].
    (cherry picked from commit ab801970ca44fbfbbc2902d33f2ac6b70dd0da0f)

 libgimp/gimp.c   |    2 +-
 libgimp/gimpui.c |   27 +++++++++++++++++----------
 2 files changed, 18 insertions(+), 11 deletions(-)

commit 606dad32b1fd57a7b30390efc82bca62ecf69ee1
Author: Christian Kirbach <Christian.Kirbach@googlemail.com>
Date:	Mon Nov 12 23:57:33 2012 +0100

    Update German translation

 po/de.po | 2798
 +++++++++++++++++++++++++++-----------------------------------
 1 file changed, 1196 insertions(+), 1602 deletions(-)

commit f63e5671ae1ae8db42f4c1341c9ef6ffb7c7f9b9
Author: Michael Natterer <mitch@gimp.org>
Date:	Mon Nov 12 01:29:22 2012 +0100

    Bug 676940 - Group children prevent droping layer at bottom of stack

    ...and don't forget to return the drop_path from
    gimp_container_tree_view_drop_status().
    (cherry picked from commit 3ef2baea6705f546f64fa049ff06c2709b07ee6d)

 app/widgets/gimpcontainertreeview-dnd.c |    1 +
 1 file changed, 1 insertion(+)

commit 982d08492fcceb75b248da92652919fb63073ee8
Author: Michael Natterer <mitch@gimp.org>
Date:	Mon Nov 12 01:24:58 2012 +0100

    Bug 676940 - Group children prevent droping layer at bottom of stack

    Treat dropping on the empty space at the bottom like dropping after
    the last toplevel item.
    (cherry picked from commit 05e12b88bc82ad5bc186a08ad367f0d989ad8ce9)

 app/widgets/gimpcontainertreeview-dnd.c |   24 ++++++++++++++++++++++++
 1 file changed, 24 insertions(+)

commit 5db271cc526c52db99bdac0130d4097cd2717dd4
Author: Michael Natterer <mitch@gimp.org>
Date:	Mon Nov 12 00:57:43 2012 +0100

    Bug 680621 - View menu options are discarded after closing an image

    Sync GimpDisplayShell's properties with the default values when it's
    emptied and turns into the empty display, so the default values used
    when filling it with an image are displayed while it's empty.
    (cherry picked from commit 54cf6c6e9f2d9f64f4fe4145f14a9f278df876db)

 app/display/gimpdisplayshell.c |    2 ++
 1 file changed, 2 insertions(+)

commit d29f273566ddc55075a259e4a95b067067d67371
Author: Michael Natterer <mitch@gimp.org>
Date:	Sun Nov 11 21:19:17 2012 +0100

    Bug 677776 - filter popup windows get hidden behind main image window

    On OSX, set all transient plug-in windows to UTILITY, so they appear
    on top of the image window, which is a bad hack. See the comment in
    gimp_window_set_transient_for_display().
    (cherry picked from commit 018fc32727d66a70359d95ee4f13ea98e775d684)

 libgimp/gimpui.c |   16 ++++++++++++++++
 1 file changed, 16 insertions(+)

commit 908a71c4cf28d9d144f8853b32e0da17a6859b10
Author: Michael Natterer <mitch@gimp.org>
Date:	Sun Nov 11 21:09:46 2012 +0100

    Bug 684003 - When using the main window in secondary monitor...

    If gimp_window_set_transient_for() fails (due to platform
    restrictions), at least set GTK_WIN_POS_CENTER on the window, so it
    gets centered on the monitor where the mouse is. This also removes the
    need for OSX specific centering code in GimpDialog (bug 677776).
    (cherry picked from commit 9e5ed1e70acfef7a488982ae42ea08c32e18a52d)

 libgimp/gimpui.c	     |	 39
 +++++++++++++++++++++++++++------------
 libgimpwidgets/gimpdialog.c |	  4 ----
 2 files changed, 27 insertions(+), 16 deletions(-)

commit 5860b2e8446c5d6ba126beb481ca613e03860c2d
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	Sat Nov 10 00:14:58 2012 +0100

    Updated Polish translation

 po-plug-ins/pl.po |  233
 +++++++++++++++++++++++++++--------------------------
 1 file changed, 119 insertions(+), 114 deletions(-)

commit acc610ec8ac95de754338136c70207a6dabae89f
Author: Michael Natterer <mitch@gimp.org>
Date:	Sat Nov 10 00:07:23 2012 +0100

    app: remove redundant code from the last commit
    (cherry picked from commit f71afd245fdb04c121e67448edb82ad5423e390e)

 app/widgets/gimptextstyleeditor.c |   12 ------------
 1 file changed, 12 deletions(-)

commit 4bbdbb102f12c7227e80ad2af75e6b59031192e4
Author: Peter Mráz <etkinator@gmail.com>
Date:	Fri Nov 9 23:39:48 2012 +0100

    Updated slovak translation

 po/sk.po |14041
 +++++++++++++++++++++++++++++---------------------------------
 1 file changed, 6587 insertions(+), 7454 deletions(-)

commit 50c1e2d872346d06c27664b8cce18457e4faf87e
Author: Michael Natterer <mitch@gimp.org>
Date:	Fri Nov 9 23:05:04 2012 +0100

    Bug 683011 - Text tool discards text attributes in the on-canvas
    dialog...

    When font, size or color were changed, set the text buffer's current
    insert_tags just as we already do for the bold, italic etc. toggle
    buttons.  Changed gimp_text_style_editor_list_tags() to also return
    the tags for font, size or color.
    (cherry picked from commit abd2e78bdf47f157bcab13587c040d08c89a2fc1)

 app/widgets/gimptextbuffer.c	   |	6 +-
 app/widgets/gimptextbuffer.h	   |	6 ++
 app/widgets/gimptextstyleeditor.c |  142
 ++++++++++++++++++++++++++++---------
 3 files changed, 119 insertions(+), 35 deletions(-)

commit 2a77d536aaa4db9f7f1ce17a3a630fb1c2dc960f
Author: Michael Natterer <mitch@gimp.org>
Date:	Fri Nov 9 22:06:51 2012 +0100

    app: make Tab, Shift+Tab and Escape move the focus back to text
    editing

    when it was in the floating text style editor. While this doesn't fix
    anything by itself, it enables fixing text style setting to behave
    reasonably when there is no selection.
    (cherry picked from commit 76b05c2afcfb58c1cf00020d39cce23de91af6a5)

 app/tools/gimptexttool-editor.c |   34 +++++++++++++++++++++++++++-------
 1 file changed, 27 insertions(+), 7 deletions(-)

commit e66252cc8a894d0bd79b492f7b0ff9d5cf582933
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	Thu Nov 8 12:38:55 2012 +0100

    Updated Spanish translation

 po-plug-ins/es.po |  235
 +++++++++++++++++++++++++++--------------------------
 1 file changed, 120 insertions(+), 115 deletions(-)

commit 2873262fccba12af144ed96ed91be144d92ff2e1
Author: Michael Natterer <mitch@gimp.org>
Date:	Thu Nov 8 00:16:31 2012 +0100

    Bug 687392 - Memory corruption vulnerability when reading XWD files

    Applied and enhanced patch from andres which makes file-xwd detect
    this kind of file corruption and abort loading with an error message.
    (cherry picked from commit 0b35f6a082a0b3c372c568ea6bde39a4796acde2)

 plug-ins/common/file-xwd.c |	78
 +++++++++++++++++++++++++++++---------------
 1 file changed, 52 insertions(+), 26 deletions(-)

commit f3de4b4a24e0e50c7a31829c5ad170e3d3ee5edf
Author: Michael Natterer <mitch@gimp.org>
Date:	Wed Nov 7 23:44:35 2012 +0100

    Bug 677776 - filter popup windows get hidden behind main image window

    On OSX, call [NSApp activateIgnoringOtherApps] when a plug-in dialog
    is shown, so the plug-in process becomes the active app, and the
    dialog gets focussed.

    In order to avoid doing this in GimpDialog (which is also used in
    the core), do it in gimp_ui_init() which all interactive plug-ins
    call, and when gimp_temp_proc_run() is called interactively, to
    catch repeated activation of an already running plug-in.

    Also, set GimpDialog's initial position to GTK_WIN_POS_CENTER,
    or they will pop up in the top left corner.

    Inspired by patches from Simone Karin Lehmann and Daniel Sabo.
    (cherry picked from commit 0b56aa0d133a9743dca74701a54f21cf9c609f7d)

 libgimp/Makefile.am	     |	 14 +++++++++++---
 libgimp/gimp.c		     |	 15 +++++++++++++--
 libgimp/gimpui.c	     |	  8 ++++++++
 libgimpwidgets/gimpdialog.c |	  4 ++++
 4 files changed, 36 insertions(+), 5 deletions(-)

commit 901f396a5e84505d46de80f2ff69ad4ee42e6204
Author: Michael Natterer <mitch@gimp.org>
Date:	Wed Nov 7 23:21:13 2012 +0100

    Bug 687851 - Gimp crashes on Colors > Desaturate

    Don't install the frame rate limiting draw timeout when resuming a
    draw tool that is not active, so accidential timeout installation from
    whatever tool dispose code can't happen.
    (cherry picked from commit 6a33951aa6f7292b7c652d14052eefd8e61d1365)

 app/tools/gimpdrawtool.c |   18 ++++++++++++------
 1 file changed, 12 insertions(+), 6 deletions(-)

commit 28d42d3dd7f480f9d452747576f764fcc23c9036
Author: Michael Natterer <mitch@gimp.org>
Date:	Tue Nov 6 22:46:47 2012 +0100

    Bug 686521 - Zoom Tool Displays Wrong Cursor When Zooming In/Out

    When updating the tool cursor on BUTTON_PRESS, pass a state *without*
    the newly pressed button's mask to gimp_display_shell_update_cursor(),
    or it will simply never call the cursor update function. Tool cursors
    don't normally change when a mouse button is down.
    (cherry picked from commit 5de48ef8b5f3854f10efbb3e6a7c02224f92883e)

 app/display/gimpdisplayshell-tool-events.c |	10 +++++++---
 1 file changed, 7 insertions(+), 3 deletions(-)

commit cfacd4f5a6f0dcb61e826d53b970ea96f4ef4c95
Author: Michael Natterer <mitch@gimp.org>
Date:	Tue Nov 6 22:22:02 2012 +0100

    Bug 687375 - Text tool: unnecessarily insists on having a layer
    before working

    There is no reason to disallow the text tool from working on a
    previously empty image, so allow it.
    (cherry picked from commit eba022f01bba181bcdf07ba908e9c2638b44b639)

 app/tools/gimptexttool.c |    1 +
 1 file changed, 1 insertion(+)

commit 9d6e8e23df52be6f00dfb23aa3dab8dbb8f9b16a
Author: Michael Natterer <mitch@gimp.org>
Date:	Tue Nov 6 22:10:37 2012 +0100

    Bug 687673 - The image has been exported to '(null)' when export...

    Show the imported URI if the exported URI is NULL, they are equivalent
    for this dialog.
    (cherry picked from commit 55f025e469baeda3a3fe5c898835ddc1af5dc733)

 app/display/gimpdisplayshell-close.c |   13 ++++++++++---
 1 file changed, 10 insertions(+), 3 deletions(-)

commit 0029694f3c3d389c8562c8975c9dbc2450f559f4
Author: Marco Ciampa <ciampix@libero.it>
Date:	Tue Nov 6 10:39:11 2012 +0100

    Small fix in italian translation.

 po/it.po |    4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 7e06c48a94e26e05db56c54726fa9895aa4e5a0c
Author: Marco Ciampa <ciampix@libero.it>
Date:	Tue Nov 6 10:28:56 2012 +0100

    Small fix in italian translation.

 po/it.po |    4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 9cf76553bd3e3ac9596b19581761bf40fcaf96a9
Author: Rafael Ferreira <rafael.f.f1@gmail.com>
Date:	Mon Nov 5 12:09:10 2012 -0200

    Updated Brazilian Portuguese Translation

 po-plug-ins/pt_BR.po |  666
 +++++++++++++++++++++++++++++++-------------------
 1 file changed, 408 insertions(+), 258 deletions(-)

commit b447b8e85f4094641497a02ca3b51372d4c3a543
Author: Michael Natterer <mitch@gimp.org>
Date:	Mon Nov 5 01:44:53 2012 +0100

    Bug 676667 - Splash image display in splash screen is delayed

    Throw away the code that sets the splash image as window background
    and always use GtkImage. Due to internal GDK changes since this code
    was written, this is now the way to avoid any delay when showing the
    image, for whatever reason.
    (cherry picked from commit 568aa7a5b0078ab42ffff2196ccda20dafa0537b)

 app/gui/splash.c |   34 +---------------------------------
 1 file changed, 1 insertion(+), 33 deletions(-)

commit 4f2d0c9ed194d3a840cdcb985d6b05db9d3b2a66
Author: Michael Natterer <mitch@gimp.org>
Date:	Mon Nov 5 01:12:21 2012 +0100

    Bug 686850 - Help system: GIMP crashes and closes without saving
    changes

    When gimp_plug_in_close()ing a plug-in (such as when cancel is
    clicked), make sure we don't leak the proc_frames of all temporary
    procedures the plug-in is currently running. By properly disposing the
    GimpPlugInProcFrame, the progress window and its cancel button in
